vfs_test_lock
Prev | File Locks | Next

## Name

vfs_test_lock — test file byte range lock

## Synopsis

`int vfs_test_lock (` | struct file * | filp,
| struct file_lock * | fl`)`;

## Arguments

`filp`

  The file to test lock for

`fl`

  The lock to test; also used to hold result

## Description

Returns -ERRNO on failure. Indicates presence of conflicting lock by setting conf->fl_type to something other than F_UNLCK.

Prev | Up | Next
flock_lock_file_wait | Home | vfs_lock_file